Public Member Functions | Public Attributes | List of all members
SDAParserInternal::State Struct Reference

Internal: the state of a SDAParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
std::shared_ptr< StarObjectDraw > | m_mainGraphic

## Detailed Description

Internal: the state of a SDAParser.

## Constructor & Destructor Documentation

## ◆ State()

SDAParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int SDAParserInternal::State::m_actPage

the actual page

## ◆ m_mainGraphic

std::shared_ptr<StarObjectDraw> SDAParserInternal::State::m_mainGraphic

## ◆ m_numPages

int SDAParserInternal::State::m_numPages

the number of page of the final document

The documentation for this struct was generated from the following file:

- SDAParser.cxx